Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I hear that a new Thunar (with tabs!!) is ready - see this.

I have added the PPA and run the update and upgrade commands but I still have Thunar 1.2.3

In Synaptic, Thunar looks ready for upgrade:

enter image description here

It asks to uninstall some XFCE stuff that I might hope to reinstall later

enter image description here

but then something is fishy

enter image description here

Is this new version limited to the Xfce desktop?

Also, now, when I try Update Manager, I get this:

enter image description here

and

enter image description here

...unless I remove the xubuntu-dev/xfce-4.12 PPAs.

So, removing Thunar in Synaptic and all that seems related to it, and then adding those PPAs, and trying to install Thunar, the following info emerges:

enter image description here

What is to be done?

share|improve this question
    
Do you see those packages in synaptics: libthunarx-2-0 and thunar-data and which versions are available? If you see the right versions, you should be able to mark them for upgrade too. –  Christophe Drevet Nov 29 '12 at 8:57
1  
The ppas are for Xubuntu, but try the following and see if it works: remove all your xfce material and ppas to get a fresh start, restart then install xubuntu-desktop, restart and then add both the xfce 4.10 and 4.12 ppas, as it is noted you need both ppas at Launchpad. Then update and upgrade and the new Thunar should be available, whether you are running an xfce session or not. –  user76204 Nov 29 '12 at 14:47
    
@Mik: trying to avoid xubuntu-desktop for now, it comes with huge amount of other dependencies but in the and maybe i'll do it. from my experience, though, lubuntu works on top of xubuntu desktop but the other way round not so well –  cipricus Nov 29 '12 at 18:22
    
@cipricus Were you using both ppas before? –  user76204 Nov 29 '12 at 18:25
    
@Mik: did not, just when trying to install the new thunar that was the condition. after adding them updating the system gave those error messages and had to remove them. using xubuntu would solve it: for thunar is the main filemanager there and desktop manager too. but your solution might work –  cipricus Nov 29 '12 at 18:27

1 Answer 1

up vote 5 down vote accepted
+50

After several discussions in the comments, it was shown that the essentials of my first comment was correct and installing xubuntu-desktop and then the PPAs and then upgrading enabled Thunar to be installed and available in Lubuntu, and not just for the Xfce session.

Firstly, the ppas are designed for Xubuntu 12.04, as noted at Launchpad, so it may be easier to install Xubuntu-desktop and then upgrade that:

sudo apt-get install xubuntu-desktop

If you wish to get the very minimum amount of packages you could use the --no-install-recommends flag after xubuntu-desktop.

As noted at Launchpad, it is important to note that on 12.04 both the Xfce 4.10 ppa and the Xfce 4.12 ppa needs to be installed.

Install the 4.10 ppa first with

sudo add-apt-repository ppa:xubuntu-dev/xfce-4.10
sudo apt-get update
sudo apt-get upgrade

Then logout and login again (in your normal Lubuntu session) and install the next PPA with

sudo add-apt-repository ppa:xubuntu-dev/xfce-4.12
sudo apt-get update
sudo apt-get upgrade

Now logout and login again (in your normal Lubuntu session) and Thunar will be able to be used in a normal Lubuntu session and not just in an Xfce session.

This article and this one contain information for updating a full Xubuntu 12.04 LTS install and may also be useful, but, as I have shown, the steps are different in Lubuntu 12.04.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.